{
  description = "Kirigami";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachSystem flake-utils.lib.allSystems (system:
      let
        pkgs = import nixpkgs { inherit system; };
      in
      {
        devShells = rec {
          default = pkgs.mkShell {
            buildInputs = [
              pkgs.kdePackages.qtbase
              pkgs.kdePackages.kirigami
              pkgs.kdePackages.ki18n
              pkgs.kdePackages.kcoreaddons
              pkgs.ninja
              pkgs.cmake
              pkgs.gcc
            ];

            dontFixCmake = true;
            cmakeFlags = ["-DQT_MAJOR_VERSION=6"];
          };
        };
      });
}

